System.Web 2.0.0.0 System.Web.UI.UserControlControlBuilder

The class is used to create a master page that does not inherit from the class. The classes that you derive from the class function as other master pages do, provided that you specify your new class in the Inherits attribute of the .master file that you create in your Web application.

Acts as a merging class and container for content pages that are composed only of controls and their respective child controls.

- Constructor

  The constructor is used internally by the ASP.NET page framework and is not intended to be called from your code.

  Initializes a new instance of the class.

  2.0.0.0